#!/usr/bin/python3
import socket,time,json,sys
import dbus, subprocess, logging, os


def get_dbus_method(dbus_name, dbus_path, dbus_interface, def_name):
    bus = dbus.SystemBus()
    proxy = bus.get_object(bus_name=dbus_name, object_path=dbus_path)
    call_bus_method = dbus.Interface(proxy, dbus_interface=dbus_interface)
    ways = getattr(call_bus_method, def_name)
    return ways


def kill_pid():
    policy_order = " pkill -f policy-manager"
    os.system(policy_order)


if __name__ == "__main__":
    try:
        times = int(sys.argv[1])
    except Exception as e:
        times = 1
    single = get_dbus_method("com.kylin.kydevmonit.hedronclient", "/kydevmonit/hedronclient", "com.kylin.kydevmonit.hedronclient", "logout_hook")
    username = single()
    logging.basicConfig(filename='/var/log/hedron/logout.log', level=logging.DEBUG, format='%(asctime)s %(levelname)-8s %(message)s')
    items = filter(lambda name: name.startswith('krb5cc'), os.listdir("/tmp"))
    for item in items:
        os.remove(os.path.join('/tmp', item))
    status, message = subprocess.getstatusoutput("sudo -u %s kdestroy" % username)
    logging.debug("%s %s %s" % (username, status, message))
    time.sleep(times)
    logging.debug("wait for " + str(times))
    kill_pid()
